function [A,B,K,Omg,alt] = mysystem(this,varargin)
% mysystem  [Not a public function] VAR system matrices.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

if ~isempty(varargin) && ~ischar(varargin{1})
    alt = varargin{1};
else
    alt = ':';
end

%**************************************************************************

A = this.A(:,:,alt);
K = this.K(:,alt);
Omg = this.Omega(:,:,alt);
B = [];

end